%define anolis_release 2

%bcond_without libnma_gtk4

%global nm_version            1:1.8.0
%global mbp_version           0.20090602
%global old_libnma_version    1.10.4

Name:           libnma
Summary:        NetworkManager GUI library
Version:        1.10.6
Release:        %{anolis_release}%{?dist}
License:        GPLv2+ and LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/libnma/
Source0:        https://download.gnome.org/sources/libnma/1.10/%{name}-%{version}.tar.xz

Patch0001:      0001-nm-applet-no-notifications.patch

Requires:       mobile-broadband-provider-info >= %{mbp_version}

Conflicts:      nm-connection-editor < 1.30.0
Conflicts:      libnma < %{old_libnma_version}

BuildRequires:  gcc glib2-devel >= 2.38  gtk3-devel >= 3.12
BuildRequires:  NetworkManager-libnm-devel >= %{nm_version}
BuildRequires:  ModemManager-glib-devel >= 1.0

%if %{with libnma_gtk4}
BuildRequires:  gtk4-devel >= 4.0
%endif
BuildRequires:  gobject-introspection-devel >= 0.10.3
BuildRequires:  gettext-devel pkgconfig meson
BuildRequires:  gtk-doc iso-codes-devel gcr-devel
BuildRequires:  mobile-broadband-provider-info-devel >= %{mbp_version}

%description
The libnma package contains an implementation of the NetworkManager GUI functions.

%package devel
Summary:        Header files for NetworkManager GUI library
Requires:       libnma = %{version}-%{release}
Requires:       NetworkManager-libnm-devel >= %{nm_version}
Requires:       gtk3-devel pkgconfig
Obsoletes:      NetworkManager-gtk-devel < 1:0.9.7
Conflicts:      libnma < %{old_libnma_version}

%description devel
This package contains header and pkg-config files to be used for integrating
GUI tools with NetworkManager.

%package gtk4
Summary:        Experimental GTK 4 version of NetworkManager GUI library
Requires:       mobile-broadband-provider-info >= %{mbp_version} gtk4
Conflicts:      libnma < %{old_libnma_version}

%description gtk4
This package is a library that provides GTK 4 dialogs and UI 
utilities for NetworkManager

%package gtk4-devel
Summary:        Header files for experimental GTK4 version of NetworkManager GUI library
Requires:       NetworkManager-libnm-devel >= %{nm_version} pkgconfig
Requires:       libnma-gtk4 = %{version}-%{release} gtk4-devel
Conflicts:      libnma < %{old_libnma_version}

%description gtk4-devel
This package contains the GTK 4 version of header and pkg-config
files to be used for integrating GUI tools with NetworkManager.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%meson \
        -Dgcr=true \
        -Dvapi=false \
%if %{with libnma_gtk4}
        -Dlibnma_gtk4=true
%else
        -Dlibnma_gtk4=false
%endif
%meson_build

%install
%meson_install
%find_lang %{name}

%generate_compatibility_deps

%check
%meson_test

%files -f %{name}.lang
%license COPYING
%dir %{abidir}
%{_libdir}/libnma.so.*
%{abidir}/libnma.dump
%{_libdir}/girepository-1.0/NMA-1.0.typelib
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.eap.gschema.xml
%exclude %{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml

%files devel
%{_includedir}/libnma
%{_libdir}/libnma.so
%{_libdir}/pkgconfig/libnma.pc
%{_datadir}/gir-1.0/NMA-1.0.gir
%{_datadir}/gtk-doc

%if %{with libnma_gtk4}
%files gtk4
%license COPYING
%{_libdir}/libnma-gtk4.so.*
%{abidir}/libnma-gtk4.dump
%{_libdir}/girepository-1.0/NMA4-1.0.typelib

%files gtk4-devel
%{_includedir}/libnma
%{_libdir}/pkgconfig/libnma-gtk4.pc
%{_libdir}/libnma-gtk4.so
%{_datadir}/gir-1.0/NMA4-1.0.gir
%endif

%files doc
%doc CONTRIBUTING NEWS README AUTHORS

%changelog
* Mon Apr 10 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.10.6-2
- Optimize the spec file

* Sat Mar 18 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.10.6-1
- Update to 1.10.6

* Wed Nov 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.8.36-2
- optimise spec file & add doc package

* Mon Apr 18 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.8.36-1
- Init from upstream version 1.8.36

